Name: transcode
Version: 0.6.11
Release: alt2

Summary: a linux video stream processing utility
License: GPL
Group: Video
Url: http://www.theorie.physik.uni-goettingen.de/~ostreich/transcode
Packager: Yuri N. Sedunov <aris@altlinux.ru>

Source: %url/pre/%name-%version.tar.bz2

%define ffmpeg_ver 0.4.6
%define avifile_ver 0.737
%define xvid_ver 0.9.2
%define exif_ver 0.5.12

#Requires: libffmpeg >= %ffmpeg_ver
Requires: libavifile >= %avifile_ver
Requires: xvid >= %xvid_ver
Requires: libexif >= %exif_ver

#BuildPreReq: ffmpeg-devel >= %ffmpeg_ver
BuildPreReq: kernel-headers-std
BuildPreReq: libavifile-devel >= %avifile_ver
BuildPreReq: xvid-devel >= %xvid_ver
BuildPreReq: libexif-devel >= %exif_ver

# Automatically added by buildreq on Wed Sep 10 2003
BuildRequires: XFree86-devel XFree86-libs bzlib-devel esound-devel fontconfig-devel freetype2-devel gcc-c++ glib-devel glibc-devel-static gtk+-devel libImageMagick-devel libSDL-devel liba52-devel libalsa-devel libarts libaudiofile-devel libavifile-devel libdv-devel libdvdread-devel libexif-devel libexpat-devel libfame-devel libjpeg-devel liblame-devel liblcms-devel liblzo-devel libmpeg3-devel libnetpbm-devel libogg-devel libpng-devel libquicktime-devel libstdc++-devel libvorbis-devel libxml2-devel mjpegtools-devel mjpegtools-static-libs nasm xpm-devel zlib-devel

%description 
transcode  is a linux text-console utility for video stream
processing.

Decoding and encoding is done by loading modules that are
responsible for feeding transcode with raw video/audio streams (import
modules) and encoding the frames (export modules). 

It supports elementary video and audio frame transformations, including
de-interlacing or fast resizing of video frames and loading of external
filters. 

A number of modules are included to enable import of DVDs
on-the-fly, MPEG elementary (ES) or program streams (VOB), MPEG video,
Digital Video (DV), YUV4MPEG streams, NuppelVideo file format and raw or
compressed (pass-through) video frames and export modules for writing
DivX;-), OpenDivX, DivX 4.xx or uncompressed AVI files with MPEG, AC3
(pass-through) or PCM audio. Additional export modules to write single
frames (PPM) or YUV4MPEG streams are available, as well as an interface
import module to the avifile library. It's modular concept is intended
to provide flexibility and easy user extensibility to include other
video/audio codecs or filetypes. 

A set of tools is included to demux (tcdemux), extract (tcextract) and
decode (tcdecode) the sources into raw video/audio streams for import,
probing (tcprobe) and scanning (tcscan) your sources and to enable
post-processing of AVI files, fixing AVI file header information
(avifix), merging multiple files (avimerge) or splitting large AVI files
(avisplit) to fit on a CD.

%package -n subtitleripper
Summary: DVD subtitles ripper/converter.
Group: Video
Requires: %name

%description -n subtitleripper
This package contains tools to extract DVD subtitles from a
subtitle stream and converts it to pgm or ppm images or into VobSub
format.

%prep
%setup -q -n %name-%version

%build
%set_verify_elf_method textrel=relaxed
%configure --with-qt \
	--enable-text \
%ifnarch i586 i686 athlon
    --disable-mmx \
%endif

# SMP-incompatible build
%make

pushd contrib/subrip
%make "CC=%__cc $RPM_OPT_FLAGS"
popd

%install
%makeinstall
pushd contrib/subrip
%__install -m755 \
srttool \
subtitle2pgm \
subtitle2vobsub \
pgm2txt %buildroot/%_bindir/
popd

%files
%_bindir/%name
%_bindir/avi*
%_bindir/tc*
%dir %_libdir/%name
%_libdir/%name/*.so
%_libdir/%name/*.conf
%_libdir/%name/*.cfg
%_libdir/%name/*.awk
%_man1dir/*
%doc AUTHORS ChangeLog README TODO
%doc docs/README* docs/OPTIMIZERS 
%doc docs/*.txt docs/html 

%files -n subtitleripper
%_bindir/srttool
%_bindir/subtitle2pgm
%_bindir/subtitle2vobsub
%_bindir/pgm2txt
%doc contrib/subrip/{README*,ChangeLog}

%changelog
* Fri Dec 05 2003 Yuri N. Sedunov <aris@altlinux.ru> 0.6.11-alt2
- rebuild with new libImageMagick

* Fri Nov 07 2003 Yuri N. Sedunov <aris@altlinux.ru> 0.6.11-alt1
- 0.6.11

* Fri Sep 12 2003 Yuri N. Sedunov <aris@altlinux.ru> 0.6.10-alt2
- rebuild due ImageMagick depends on new libexif-0.5.12.

* Tue Sep 09 2003 Yuri N. Sedunov <aris@altlinux.ru> 0.6.10-alt1
- 0.6.10

* Sun Aug 24 2003 Yuri N. Sedunov <aris@altlinux.ru> 0.6.9-alt1
- new version.
- enable building libmpeg3 dependent modules.

* Fri Jul 11 2003 Yuri N. Sedunov <aris@altlinux.ru> 0.6.8-alt1
- new version

* Wed May 28 2003 Yuri N. Sedunov <aris@altlinux.ru> 0.6.6-alt1
- new version

* Mon Mar 03 2003 Yuri N. Sedunov <aris@altlinux.ru> 0.6.3-alt2
- subtitleripper subpackage.

* Mon Feb 24 2003 Yuri N. Sedunov <aris@altlinux.ru> 0.6.3-alt1
- 0.6.3 

* Sun Nov 24 2002 Yuri N. Sedunov <aris@altlinux.ru> 0.6.2-alt1
- 0.6.2

* Wed Nov 20 2002 Yuri N. Sedunov <aris@altlinux.ru> 0.6.1-alt0.7
- Updated from weekly snapshot.
- Removed dependence on libmpeg3 which is replaced by the libmpeg2
  dependent modules that are included in transcode's sources.
- Compression support based on liblzo enabled.
- Quicktime support via libquicktime enabled.

* Wed Sep 25 2002 Yuri N. Sedunov <aris@altlinux.ru> 0.6.1-alt0.6
- 0.6.1

* Mon Sep 23 2002 Stanislav Ievlev <inger@altlinux.ru> 0.6.0-alt0.5.1
- fix build (no SMP compatible)

* Sun Sep 22 2002 Yuri N. Sedunov <aris@altlinux.ru> 0.6.0-alt0.5
- 0.6.0 release 

* Sun Jul 21 2002 Yuri N. Sedunov <aris@altlinux.ru> 0.6.0-alt0.1rc3
- First build for Sisyphus.
- quicktime support disabled - libquicktime required.
